Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteParameterManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteParameterManager

extends java.rmi.Remote

Interface `RemoteParameterManager` provides methods to get parameters information.

Method Summary
`void` | `clear()` Clears all resources.
`java.util.Hashtable<java.lang.String,RemoteParamInfo>` | `getAllParameters()` Gets all parameters used in query.
`java.util.Hashtable<java.lang.String,RemoteParamInfo>` | `getAllParameters(boolean refreshParamEnv)` Gets all parameters used in query.
`java.util.Vector<ParamInfo>` | `getAllParametersWithChanging(java.util.Map prop)` Get all parameters used in query and then validates the parameters.
`boolean` | `haveParameters()` Checks if there is any parameter used in query.
`java.util.Vector<RemoteParamInfo>` | `paramValueChanged(java.lang.String paramName, java.lang.String paramValue)` Changes all relative `RemoteParamInfos` when cascading parameter changed.
`java.util.Vector<RemoteParamInfo>` | `paramValueChanged(java.lang.String paramName, java.lang.String[] paramValues)` Changes all relative `RemoteParamInfos` when cascading parameter changed.
`java.util.Vector<RemoteParamInfo>` | `paramValueChanged(java.lang.String paramName, java.lang.String[] paramValues, long timeBaseLine)` Changes all relative `RemoteParamInfos` when cascading parameter changed.
`java.util.Vector<RemoteParamInfo>` | `paramValueChanged(java.lang.String paramName, java.lang.String paramValue, long timeBaseLine)` Changes all relative `RemoteParamInfos` when cascading parameter changed.

Method Detail

### haveParameters

    boolean haveParameters()
                           throws java.rmi.RemoteException

  Checks if there is any parameter used in query.

  Returns:
    true if there is a parameter used in query.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAllParameters

    java.util.Hashtable<java.lang.String,RemoteParamInfo> getAllParameters()
                                                                           throws java.rmi.RemoteException

  Gets all parameters used in query.

  Returns:
    Hashtable The key is the parameter name in capital letters, the value is RemoteParamInfo.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteParamInfo`

### getAllParameters

    java.util.Hashtable<java.lang.String,RemoteParamInfo> getAllParameters(boolean refreshParamEnv)
                                                                           throws java.rmi.RemoteException

  Gets all parameters used in query.

  Parameters:
    `refreshParamEnv` - Indicates whether to re-parse template and data to retrieve parameters.
  Returns:
    Hashtable The key is the parameter name in capital letters, the value is RemoteParamInfo.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteParamInfo`

### paramValueChanged

    java.util.Vector<RemoteParamInfo> paramValueChanged(java.lang.String paramName,
                                                        java.lang.String paramValue)
                                                        throws java.rmi.RemoteException

  Changes all relative `RemoteParamInfos` when cascading parameter changed.

  Returns:
    relative RemoteParamInfos. The `Vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteParamInfo`

### paramValueChanged

    java.util.Vector<RemoteParamInfo> paramValueChanged(java.lang.String paramName,
                                                        java.lang.String[] paramValues)
                                                        throws java.rmi.RemoteException

  Changes all relative `RemoteParamInfos` when cascading parameter changed.

  Returns:
    relative RemoteParamInfos. The `Vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteParamInfo`

### paramValueChanged

    java.util.Vector<RemoteParamInfo> paramValueChanged(java.lang.String paramName,
                                                        java.lang.String paramValue,
                                                        long timeBaseLine)
                                                        throws java.rmi.RemoteException

  Changes all relative `RemoteParamInfos` when cascading parameter changed.

  Returns:
    relative RemoteParamInfos. The `Vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteParamInfo`

### paramValueChanged

    java.util.Vector<RemoteParamInfo> paramValueChanged(java.lang.String paramName,
                                                        java.lang.String[] paramValues,
                                                        long timeBaseLine)
                                                        throws java.rmi.RemoteException

  Changes all relative `RemoteParamInfos` when cascading parameter changed.

  Returns:
    relative RemoteParamInfos. The `Vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteParamInfo`

### getAllParametersWithChanging

    java.util.Vector<ParamInfo> getAllParametersWithChanging(java.util.Map prop)
                                                             throws java.rmi.RemoteException

  Get all parameters used in query and then validates the parameters. Changes the relative parameters if there is any cascading parameter. Finally returns all sorted RemoteParamInfos.

  Returns:
    all sorted RemoteParamInfos. The `Vector` contains `RemoteParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteParamInfo`

### clear

    void clear()
               throws java.rmi.RemoteException

  Clears all resources.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD